package com.ruoyi.branch.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 支部会议管理对象 t_branch_meeting_mgr
 * 
 * @author ruoyi
 * @date 2023-06-07
 */
public class TBranchMeeting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long meetingId;

    /** 会议类型 */
    @Excel(name = "会议类型")
    private String meetingType;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date meetingTime;

    /** 地点 */
    @Excel(name = "地点")
    private String meetingVenue;

    /** 主持人 */
    @Excel(name = "主持人")
    private String host;

    /** 记录人 */
    @Excel(name = "记录人")
    private String recorder;

    /** 参加人员 */
    @Excel(name = "参加人员")
    private String participants;

    /** 缺席人员 */
    @Excel(name = "缺席人员")
    private String absentees;

    /** 列席人员 */
    @Excel(name = "列席人员")
    private String attendees;

    /** 主要议题 */
    @Excel(name = "主要议题")
    private String mainTopics;

    /** 形成决议 */
    @Excel(name = "形成决议")
    private String resolutionsFormed;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 部门ID */
    @Excel(name = "部门编号", type = Excel.Type.IMPORT)
    private Long deptId;

    public void setMeetingId(Long meetingId) 
    {
        this.meetingId = meetingId;
    }

    public Long getMeetingId() 
    {
        return meetingId;
    }
    public void setMeetingType(String meetingType) 
    {
        this.meetingType = meetingType;
    }

    public String getMeetingType() 
    {
        return meetingType;
    }
    public void setMeetingTime(Date meetingTime) 
    {
        this.meetingTime = meetingTime;
    }

    public Date getMeetingTime() 
    {
        return meetingTime;
    }
    public void setMeetingVenue(String meetingVenue) 
    {
        this.meetingVenue = meetingVenue;
    }

    public String getMeetingVenue() 
    {
        return meetingVenue;
    }
    public void setHost(String host) 
    {
        this.host = host;
    }

    public String getHost() 
    {
        return host;
    }
    public void setRecorder(String recorder) 
    {
        this.recorder = recorder;
    }

    public String getRecorder() 
    {
        return recorder;
    }
    public void setParticipants(String participants) 
    {
        this.participants = participants;
    }

    public String getParticipants() 
    {
        return participants;
    }
    public void setAbsentees(String absentees) 
    {
        this.absentees = absentees;
    }

    public String getAbsentees() 
    {
        return absentees;
    }
    public void setAttendees(String attendees) 
    {
        this.attendees = attendees;
    }

    public String getAttendees() 
    {
        return attendees;
    }
    public void setMainTopics(String mainTopics) 
    {
        this.mainTopics = mainTopics;
    }

    public String getMainTopics() 
    {
        return mainTopics;
    }
    public void setResolutionsFormed(String resolutionsFormed) 
    {
        this.resolutionsFormed = resolutionsFormed;
    }

    public String getResolutionsFormed() 
    {
        return resolutionsFormed;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("meetingId", getMeetingId())
            .append("meetingType", getMeetingType())
            .append("meetingTime", getMeetingTime())
            .append("meetingVenue", getMeetingVenue())
            .append("host", getHost())
            .append("recorder", getRecorder())
            .append("participants", getParticipants())
            .append("absentees", getAbsentees())
            .append("attendees", getAttendees())
            .append("mainTopics", getMainTopics())
            .append("resolutionsFormed", getResolutionsFormed())
            .append("remarks", getRemarks())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
